import express, { Request, Response } from "express";
import PermissionHelper from "../../helpers/permissionHelper";
import {
  deleteUser,
  getAllUsers,
  getUserById,
  getUserPermissions,
  getUserRoles,
  updateUser,
  updateUserPermissions,
  updateUserRoles,
} from "../../controller/admin/userController";
import { inviteUser } from "../../controller/inviteController";

var router = express.Router({ mergeParams: true });

router.get("/", async (req: Request, res: Response) => {
  await getAllUsers(req, res);
});

router.post(
  "/invite",
  PermissionHelper.passCheckMiddleware("create", "user", "user"),
  async (req: Request, res: Response) => {
    await inviteUser(req, res);
  }
);

router.delete(
  "/:id",
  PermissionHelper.passCheckMiddleware("delete", "user", "user"),
  async (req: Request, res: Response) => {
    //await deleteUser(req, res);
  }
);

export default router;
